#ifndef _G_ENEMY_
#define _G_ENEMY_

#if 0
#include <hpllib/object/HPLShootingObject.h>
 
/** 敵クラス：プレイヤーと同じ原理のAIで動作
  */
class GEnemy: public HPLShootingObject {
public:
	
//	float	m_fPower;			//! 接触ダメージ量
//	bool	m_bIsImmortal;		//! 無敵！
//	std::vector<HPLConter>	m_vecStepCounters;	//! カウンタッ
//	std::vector<AttackSpan>	m_vecAttackSpan;	//! アタックインターバル

	bool m_bIsHitToBlock;		//! ブロックに接触するか
	HPLSprite* m_lpArmSprite;	//! フォボコの腕

public:
	GEnemy( int t );
	virtual ~GEnemy();
public:
	/** */
	void collision(HPLMatrix<int>* matrix,
		std::map<int, HPLBlock*>* blockMap);

	/**
		アルゴリズム
	*/
//	void algorithm();

	void draw(HPLSDLImageManager* imageManager);
	void die(HPLShootingObject* damageSource);

	void damage(float dmg, HPLShootingObject* damageSource);
	HPLSequence* getSequence();
	int getSequenceID();
	void changeState(int st);
};
#endif

#endif
